Skip to main content
get/v2/teamspaces/{teamspaceId}/ask-sites/{siteKey}/questions
Request example
Response
get/v2/teamspaces/{teamspaceId}/ask-sites/{siteKey}/questions

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id (uuid).
siteKeystringrequired#
The site's public key, which is also its id.

Pattern: ^ask_[0-9a-f]{24}$

Query parameters

pageinteger#
Zero-based page number.

Default: 0

Range: >= 0

clientenum<string>#
Only questions from this client.
Options:anthropicopenaiperplexitycursoropencodemetamistralxaibrowserunknown
daysenum<string>#
The window in days. 1 is the last 24 hours (hourly points).
Options:1730
answerenum<string>#
answered or no_match (questions with nothing matching).
Options:answeredno_match

Responses

application/json
One page of questions
dataobjectrequired#